<template>
  <div class="loginComp">
    <ErrorNotify />
    <div class="login-form">
      <div class="welcome">
        <h3>Welcome back!</h3>
        <span>Sign in to your account</span>
      </div>
      <div class="sigin-inputs">
        <label>Email</label>
        <input type="text" placeholder="Email" v-model="LogEmail" />

        <label>Password</label>
        <input type="password" placeholder="Password" v-model="LogPass" />
      </div>
      <div class="forgot">
        <router-link to="/signin/reset" class="forgotLink"
          >Forgot Password?</router-link
        >
      </div>
    </div>
    <div class="send-btn">
      <button @click="Submit(LogEmail, LogPass)">Send</button>
    </div>
  </div>
</template>
<script>
import ErrorNotify from "../ErrorNotify/ErrorNotify";
import { mapGetters } from "vuex";
export default {
  components: {
    ErrorNotify,
  },
  data() {
    return {
      LogEmail: "",
      LogPass: "",
    };
  },
  computed: mapGetters(["reg", "axios"]),
  methods: {
    Submit(email, pass) {
      if (!email || !pass) {
        this.$store.commit("Erralert", "Please write inputs!");
      } else if (!this.reg.test(email)) {
        this.$store.commit("Erralert", "Please write correct email!");
      } else if (!(pass.length >= 8)) {
        this.$store.commit(
          "Erralert",
          "Please write an 8-digit or more password!"
        );
      } else {
        this.axios
          .post("login", { email, psw: pass }, { withCredentials: true })
          .then((result) => {
            const done = result.data.required;
            if (done) this.$router.push("/profile");
          })
          .catch(() => {
            this.$store.commit("Erralert", "Invalid email or password!");
          });
      }
    },
  },
};
</script>
<style lang="scss">
@import "login.scss";
</style>